%global pypi_name fixtures

# building order
# 1. bootstrap python-extras
# 1. bootstrap python-fixtures
# 2. bootstrap python-testtools
# 3. python-extras
# 3. python-fixtures
# 3. python-testscenarios
# 4. python-testresources
# 5. python-testtools
%bcond_with bootstrap

Summary:        Fixtures, reusable state for writing clean tests and more
Name:           python-%{pypi_name}
Version:        4.0.1
Release:        1%{?dist}
License:        ASL 2.0 or BSD
URL:            https://github.com/testing-cabal/fixtures
Source0:        %pypi_source
BuildArch:      noarch

%description
Fixtures defines a Python contract for reusable state / support logic,
primarily for unit testing.  Helper and adaption logic is included to make it
easy to write your own fixtures using the fixtures contract.  Glue code is
provided that makes using fixtures that meet the Fixtures contract in unittest
compatible test cases easy and straight forward.

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
Fixtures defines a Python contract for reusable state / support logic,
primarily for unit testing.  Helper and adaption logic is included to make it
easy to write your own fixtures using the fixtures contract.  Glue code is
provided that makes using fixtures that meet the Fixtures contract in unittest
compatible test cases easy and straight forward.

%prep
%autosetup -n %{pypi_name}-%{version}

sed -e '/mock/d' -i setup.cfg
sed -e 's/import mock/import unittest.mock as mock/' -i fixtures/tests/_fixtures/test_mockpatch.py

%if %{with bootstrap}
sed -e '/testtools/d' -i requirements.txt
%endif

%generate_buildrequires
%pyproject_buildrequires %{!?with_bootstrap:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%if %{without bootstrap}
PYTHONPATH=%{buildroot}%{python3_sitelib} %{python3} -m testtools.run fixtures.test_suite
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license Apache-2.0 BSD
%doc README.rst GOALS NEWS

%changelog
* Thu Sep 21 2023 Shuo Wang <abushwang@tencent.com> - 4.0.1-1
- update to 4.0.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 Xiaojie Chen <jackxjchen@tencent.com> - 3.0.0-1
- Initial build
